Temp Projects - Tasks #11289

Payroll - New Employee Total Earnings not Showing in Payroll process
08/04/2023 12:11 PM - Rijas P

Status: Closed Start date: 08/04/2023
Priority: Immediate Due date:

Assignee: Mohamed Suhail % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.50 hour
Description

Dear Suhail,

A new employee joined in our company on 25th July 2023. While creating Employee Payroll we mentioned Valid from is 25-07-2023
Today we tried Payroll process of July month [01-07-2023 to 31-07-2023].

But this employee's Total earnings showing blank. | assume it's due to the valid from we mentioned 25th Jul, it may work if | change
to 01-07-2023, but the system not allow the past date once it's assigned.

In my opinion it should be works if we give valid from any of the date between the Payroll period dates[01-07-23 to 31-07-23]

History

#1 - 08/04/2023 02:08 PM - Mohamed Suhail

- Assignee changed from Mohamed Suhail to Shad A M

Rijas P wrote:
Dear Suhail,
A new employee joined in our company on 25th July 2023. While creating Employee Payroll we mentioned Valid from is 25-07-2023
Today we tried Payroll process of July month [01-07-2023 to 31-07-2023].

But this employee's Total earnings showing blank. | assume it's due to the valid from we mentioned 25th Jul, it may work if | change to
01-07-2023, but the system not allow the past date once it's assigned.

In my opinion it should be works if we give valid from any of the date between the Payroll period dates[01-07-23 to 31-07-23]

Shad,
Please advise

#2 - 08/04/2023 03:07 PM - Mohamed Suhail
- Status changed from New to Resolved
- % Done changed from 0 to 100
Mohamed Suhail wrote:
Rijas P wrote:
Dear Suhail,
A new employee joined in our company on 25th July 2023. While creating Employee Payroll we mentioned Valid from is 25-07-2023
Today we tried Payroll process of July month [01-07-2023 to 31-07-2023].

But this employee's Total earnings showing blank. | assume it's due to the valid from we mentioned 25th Jul, it may work if | change to
01-07-2023, but the system not allow the past date once it's assigned.

In my opinion it should be works if we give valid from any of the date between the Payroll period dates[01-07-23 to 31-07-23]

Shad,
Please advise
Rijas,
Please check now
euro=# select hr_attribute_id from hr_attribute where ¢_bpartner_id=1011826 and validfrom="'2023-07-25'";;

hr_attribute_id

1010694
1010696
1010695
1010697
1010698
(5 rows)

euro=# update hr_attribute set validfrom='2023-07-01' where c_bpartner_id=1011826 and validfrom='2023-07-25'";;
UPDATE 5

#3 - 08/04/2023 05:11 PM - Rijas P

It's working but need to create a new process again for this Dept.

Please note if we did any changes in Employee payroll

Actual Result:

Need to avoid the payroll process if we created it before the changes made in Employee payroll.

Expected Result :

Once the changes made in Employee payroll it will be affected in the payroll process automatically if the payroll process status not completed.
#4 - 08/04/2023 05:26 PM - Rijas P

- File Need to void the process.jpg added

One of our employee is on vacation on July 2023. We forgot to hold the Salary of this staff,

| created payroll process and found this not hold, changed in Employee payroll, but again need to make a new process. It's really difficult to make
each process for each mistake. Kindly check and do the needful.

In addition, We are creating Payroll process by giving "*" on Payroll structure, so the process will be created for each structure and we have 7
Structures. Now we made mistakes 2 times and need to remove all the process.

Mohamed Subhail, could you please remove all the Payroll process made by choosing period July 2023. There are 14 process we need to void and we
will create a new process carefully.

#5 - 08/04/2023 05:57 PM - Shad A M
Rijas P wrote:
It's working but need to create a new process again for this Dept.
Please note if we did any changes in Employee payroll
Actual Result:
Need to avoid the payroll process if we created it before the changes made in Employee payroll.
Expected Result :

Once the changes made in Employee payroll it will be affected in the payroll process automatically if the payroll process status not completed.

Dear Rijas,

| dont think it is the right approach to automatically update values of the payroll process after it is run. One option may be would be to have an option
to re-run process for that specific employee once again.

#6 - 08/14/2023 06:35 PM - Rijas P
- Assignee changed from Shad A M to Mohamed Suhail
Dear Suhail,
Could you please void the below Payroll process.

JULY 2023 New-Office Staffs
JULY 2023 New-Retail Staffs
JULY 2023 New-Showroom Staffs
JULY 2023 New-Warehouse Staffs
JULY 2023-Office Staffs

JULY 2023-Retail Staffs

JULY 2023-Showroom Staffs
JULY 2023-Warehouse Staffs

#7 - 08/15/2023 12:36 PM - Rijas P

- Status changed from Resolved to Closed

Not required

#8 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)
